Package org.eclipse.net4j.util.security

# Interface IUserManagement.Attributed

All Superinterfaces:
  `AdministrationPredicate`, `IUserManagement`

Enclosing interface:
  `IUserManagement`

public static interface IUserManagement.Attributed extends IUserManagement

Since:
  3.27
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.security.IUserManagement

`IUserManagement.Attributed`

## Method Summary

Modifier and Type
Method
Description
`void`
`setAttribute(String userID, String attribute, String value)`

### Methods inherited from interface org.eclipse.net4j.util.security.AdministrationPredicate

`isAdministrator`

### Methods inherited from interface org.eclipse.net4j.util.security.IUserManagement

`addUser, removeUser, setAdministrator, setPassword`

## Method Details

### setAttribute

void setAttribute(String userID, String attribute, String value)